#
# Conditional build:
%bcond_with	rpm5	# build with rpm5

Summary:	Tool for creating supermin appliances
Summary(pl.UTF-8):	Narzędzie do tworzenia minimalistycznych instalacji
Name:		supermin
Version:	5.2.2
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://download.libguestfs.org/supermin/5.2-stable/%{name}-%{version}.tar.gz
# Source0-md5:	44cf367b27f645e8db7e8ae3ae5bad02
Patch0:		%{name}-rpm5.patch
URL:		https://people.redhat.com/~rjones/supermin/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	e2fsprogs
BuildRequires:	e2fsprogs-devel
BuildRequires:	gawk
BuildRequires:	libcom_err-devel
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
BuildRequires:	pkgconfig
# not needed in releases (BTW: perldoc is checked, but pod2man is actually used)
#BuildRequires:	perl-perldoc
#BuildRequires:	perl-tools-pod
BuildRequires:	rpm-devel
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	cpio
Requires:	e2fsprogs
Requires:	rpm
Requires:	rpm-utils
Suggests:	qemu
Suggests:	dnf
Suggests:	dnf-plugins-core
Suggests:	dnf-utils
Obsoletes:	febootstrap < 4
Obsoletes:	febootstrap-supermin-helper < 4
Obsoletes:	supermin-helper < 5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Supermin is a tool for building supermin appliances. These are tiny
appliances [similar to virtual machines], usually around 100KB in
size, which get fully instantiated on-the-fly in a fraction of a
second when you need to boot one of them.

%description -l pl.UTF-8
Supermin to narzędzie do tworzenia minimalistycznych instalacji
zwanych "appliance". Są to małe instalacje (podobne do maszyn
wirtualnych), zwykle mające ok. 100kB, które można zainstalować w
całości w locie w ciągu ułamku sekundy, kiedy zachodzi potrzeba
uruchomienia takowej.

%prep
%setup -q
%{?with_rpm5:%patch0 -p1}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	APT_GET="apt-get" \
	APTITUDE="aptitude" \
	CPIO="cpio" \
	DNF="dnf" \
	DPKG="dpkg" \
	MKE2FS=/sbin/mke2fs \
	PACMAN="pacman" \
	RPM="rpm" \
	RPM2CPIO="rpm2cpio" \
	YUMDOWNLOADER="yumdownloader" \
	--disable-network-tests

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -vf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/supermin
%{_mandir}/man1/supermin.1*
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Jun 13 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/supermin.git;a=log;h=master

* Tue Jun 13 2023 Jakub Bogusz <qboosh@pld-linux.org> cc71a2a
- updated to 5.2.2

* Mon Feb 22 2021 Jan Rękorajski <baggins@pld-linux.org> 1cee472
- added rpm5 bcond
- rel 2

* Tue May 23 2017 Mariusz Mazur <mmazur@pld-linux.org> 8ed4fa8
- Up to 5.1.17

* Mon Jun 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 54b2fa5
- updated to 5.1.13

* Tue Nov 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 6d10272
- updated to 5.1.11
- added patch with initial rpm5 support

* Mon May 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 23b7f69
- updated to 5.1.8

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 7214c9e
- updated to 5.1.6

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> c426635
- updated to 5.1.3

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> d10e1b3
- updated to 5.1.2

* Sun Mar 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 29219df
- up to 5.1.1 (rewrite; 4.1.x left on supermin-4 branch)

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> ed2102c
- updated to 4.1.6

* Sat Sep 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 9dde367
- updated to 4.1.5

* Sat Aug 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 37b3ffb
- updated to 4.1.4

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> e785dc7
- package examples

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 6312b70
- fix broken dep

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 733161d
- updated to 4.1.3

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 0510fe7
- new (febootstrap successor)

